<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>SliceRol</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>SliceRol</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLDataType"></span>
                    UMLDataType
                </span>
                
                    <span style="margin-left: 10px" class="alert alert-info">«»</span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='4fcc4da5cd092760457fc76c46987d6e.html'><span class='node-icon _icon-UMLDataType'></span>SliceRol</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <p>Puede ser implementado como un HashMap,  un HashSet, un TreeSet, etc.
No es recomendable implementarlo como List  ( ArrayList, HashList, etc) porque estos objetos permiten entradas duplicadas.</p>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                


                
                


                
                


                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            
            <section>
                <h3>Attributes</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Type</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="92e013fc3fbf7ad4b7e1474492c8d790.html">Protocols</a></td>
                        <td><a href='0a8498ea5e6123fa04aea8fa53fd2eee.html'>Tuple</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>SliceRol</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='c9f610a3218c8fec517eb211b1b19f9a.html'><span class='node-icon _icon-UMLAssociation'></span>(Tuple—SliceRol)</a></li>
        
        <li><a href='ce516a4e946e2c5dac083b62f1843005.html'><span class='node-icon _icon-UMLAssociation'></span>(SliceRol—Ied)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='ce516a4e946e2c5dac083b62f1843005.html'><span class='node-icon _icon-UMLAssociation'></span>(SliceRol—Ied)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
